> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tagada.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Publish a payment policy version

> A draft equal to the active version answers the policy unchanged: no new version and no `payment_policy.published` event. A store-bound key may publish only a policy bound to no other store, in either mode.



## OpenAPI

````yaml /payments-api/openapi.json post /v1/payment-policies/{id}/publish
openapi: 3.1.0
info:
  title: TagadaPay Payments API
  version: '2026-11-01'
servers:
  - url: https://api.tagada.io
security: []
paths:
  /v1/payment-policies/{id}/publish:
    post:
      tags:
        - policies
      summary: Publish a payment policy version
      description: >-
        A draft equal to the active version answers the policy unchanged: no new
        version and no `payment_policy.published` event. A store-bound key may
        publish only a policy bound to no other store, in either mode.
      operationId: paymentPolicies.publish
      parameters:
        - in: path
          name: id
          required: true
          schema:
            pattern: ^pol_[0-9a-hjkmnp-tv-z]{26}$
            type: string
        - in: header
          name: payments-account
          required: false
          schema:
            type: string
        - in: header
          name: payments-version
          required: false
          schema:
            enum:
              - '2026-11-01'
            type: string
        - in: header
          name: idempotency-key
          required: true
          schema:
            maxLength: 255
            minLength: 1
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/PaymentPolicy'
          description: >-
            Payment policy draft, active version, bindings, problems and
            warnings.
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: parameter_invalid, parameter_missing, amount_out_of_range
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: authentication_required
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: permission_denied
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: resource_not_found
        '409':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: >-
            idempotency_key_reused, idempotency_key_in_progress,
            policy_has_problems, policy_not_published
        '429':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: rate_limited
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: internal_error
        '501':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ApiError'
          description: not_implemented
      security:
        - bearerAuth: []
components:
  schemas:
    PaymentPolicy:
      properties:
        active_version:
          $ref: '#/components/schemas/PaymentPolicyVersion'
        bindings:
          items:
            properties:
              checkout:
                type:
                  - string
                  - 'null'
              store:
                type: string
            required:
              - store
              - checkout
            type: object
          type: array
        created_at:
          type: string
        draft: {}
        draft_editor_state:
          additionalProperties: {}
          type:
            - object
            - 'null'
        id:
          type: string
        name:
          type: string
        object:
          enum:
            - payment_policy
          type: string
        problems:
          items:
            properties:
              kind:
                enum:
                  - positive_integer_required
                type: string
              message:
                type: string
              path:
                type: string
            required:
              - path
              - message
            type: object
          type: array
        warnings:
          items:
            properties:
              category:
                enum:
                  - flow_check
                  - advisory
                  - publish
                type: string
              kind:
                type: string
              panel:
                type: string
              params:
                additionalProperties: {}
                type: object
              text:
                type: string
            required:
              - category
              - kind
              - text
              - panel
            type: object
          type: array
      required:
        - id
        - object
        - name
        - draft_editor_state
        - created_at
        - active_version
        - bindings
        - problems
        - warnings
      type: object
    ApiError:
      properties:
        error:
          properties:
            code:
              $ref: '#/components/schemas/ErrorCode'
            details:
              additionalProperties: {}
              type: object
            message:
              type: string
            param:
              type:
                - string
                - 'null'
            request_id:
              type: string
            type:
              enum:
                - invalid_request_error
                - authentication_error
                - permission_error
                - conflict_error
                - rate_limit_error
                - api_error
                - unavailable_error
              type: string
          required:
            - type
            - code
            - message
            - param
            - request_id
          type: object
      required:
        - error
      type: object
    PaymentPolicyVersion:
      properties:
        content:
          $ref: '#/components/schemas/Policy'
        content_hash:
          type: string
        id:
          type: string
        object:
          enum:
            - payment_policy_version
          type: string
        policy:
          type: string
        published_at:
          type: string
        version:
          type: integer
      required:
        - id
        - object
        - policy
        - version
        - content
        - content_hash
        - published_at
      type:
        - object
        - 'null'
    ErrorCode:
      enum:
        - account_daily_cap_exceeded
        - account_not_enabled
        - amount_out_of_range
        - authentication_required
        - checkout_session_in_use
        - currency_not_supported
        - fx_rate_unavailable
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - no_active_policy
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - parent_payment_invalid
        - parent_payment_not_allowed
        - parent_payment_not_paid
        - payment_method_not_usable
        - payment_method_required
        - payment_method_save_disabled
        - payment_not_confirmable
        - payment_not_retryable
        - payments_api_disabled
        - permission_denied
        - rate_limited
        - resource_not_found
        - retry_exists
        - retry_limit_reached
        - store_not_on_payments_api
        - stored_credential_missing
      type: string
      x-extensible-enum:
        - account_daily_cap_exceeded
        - account_not_enabled
        - amount_out_of_range
        - authentication_required
        - checkout_session_in_use
        - currency_not_supported
        - fx_rate_unavailable
        - idempotency_key_in_progress
        - idempotency_key_reused
        - internal_error
        - no_active_policy
        - not_implemented
        - parameter_invalid
        - parameter_missing
        - parent_payment_invalid
        - parent_payment_not_allowed
        - parent_payment_not_paid
        - payment_method_not_usable
        - payment_method_required
        - payment_method_save_disabled
        - payment_not_confirmable
        - payment_not_retryable
        - payments_api_disabled
        - permission_denied
        - rate_limited
        - resource_not_found
        - retry_exists
        - retry_limit_reached
        - store_not_on_payments_api
        - stored_credential_missing
    Policy:
      additionalProperties: false
      properties:
        abuse_detection:
          additionalProperties: false
          properties:
            block_for_hours:
              minimum: 0
              type: integer
            declines:
              minimum: 0
              type: integer
            enabled:
              type: boolean
            within_minutes:
              minimum: 0
              type: integer
          required:
            - enabled
            - declines
            - within_minutes
            - block_for_hours
          type: object
        authentication:
          additionalProperties: false
          properties:
            by_processor:
              additionalProperties:
                enum:
                  - flow
                  - always
                  - never
                type: string
              type: object
            if_not_completed:
              enum:
                - stop
                - next_processor_without_3ds
              type: string
            if_unavailable:
              enum:
                - processor
                - decline
                - continue_without
              type: string
            mode:
              enum:
                - auto
                - always
                - challenge
                - never
              type: string
            provider:
              enum:
                - auto
              type: string
            rules:
              items:
                additionalProperties: false
                properties:
                  id:
                    minLength: 1
                    type: string
                  mode:
                    enum:
                      - auto
                      - always
                      - never
                    type: string
                  when:
                    items:
                      additionalProperties: false
                      properties:
                        field:
                          enum:
                            - purpose
                            - method
                            - brand
                            - funding
                            - card_region
                            - currency
                            - amount
                            - risk
                            - bin
                            - returning
                            - tag
                            - geo_mismatch
                            - processor
                          type: string
                        op:
                          enum:
                            - in
                            - not_in
                            - gte
                            - lt
                            - starts_with
                            - is
                          type: string
                        value:
                          anyOf:
                            - minimum: 0
                              type: number
                            - type: boolean
                        values:
                          items:
                            type: string
                          type: array
                      required:
                        - field
                        - op
                      type: object
                    type: array
                required:
                  - id
                  - when
                  - mode
                type: object
              type: array
          required:
            - mode
            - rules
            - by_processor
            - if_not_completed
            - if_unavailable
            - provider
          type: object
        backups:
          additionalProperties: false
          properties:
            decline_groups:
              properties:
                never_retry:
                  additionalProperties: false
                  properties:
                    move:
                      type: boolean
                  required:
                    - move
                  type: object
                suspected_fraud:
                  additionalProperties: false
                  properties:
                    move:
                      type: boolean
                  required:
                    - move
                  type: object
                try_again:
                  additionalProperties: false
                  properties:
                    move:
                      type: boolean
                  required:
                    - move
                  type: object
              type: object
            enabled:
              type: boolean
            max_backups:
              minimum: 0
              type: integer
            move_on:
              additionalProperties: false
              properties:
                bank_decline:
                  type: boolean
                cannot_take:
                  type: boolean
                processor_error:
                  type: boolean
              required:
                - cannot_take
                - processor_error
                - bank_decline
              type: object
            processors:
              items:
                minLength: 1
                type: string
              type: array
            strategy:
              enum:
                - in_order
                - best_approval
              type: string
          required:
            - enabled
            - strategy
            - processors
            - max_backups
            - move_on
            - decline_groups
          type: object
        capture:
          additionalProperties: false
          properties:
            delay_days:
              minimum: 0
              type: integer
            free_trial:
              additionalProperties: false
              properties:
                zero_amount_card_check:
                  type: boolean
              required:
                - zero_amount_card_check
              type: object
            one_time:
              enum:
                - immediately
                - delayed
                - on_fulfillment
              type: string
            subscription:
              enum:
                - immediately
                - delayed
                - on_fulfillment
              type: string
          required:
            - one_time
            - subscription
            - delay_days
            - free_trial
          type: object
        customer_payments:
          additionalProperties: false
          properties:
            max_retries:
              minimum: 0
              type: integer
          required:
            - max_retries
          type: object
        methods:
          properties:
            afterpay:
              additionalProperties: false
              properties:
                enabled:
                  type: boolean
              required:
                - enabled
              type: object
            apple_pay:
              additionalProperties: false
              properties:
                enabled:
                  type: boolean
              required:
                - enabled
              type: object
            card:
              additionalProperties: false
              properties:
                enabled:
                  type: boolean
              required:
                - enabled
              type: object
            google_pay:
              additionalProperties: false
              properties:
                enabled:
                  type: boolean
              required:
                - enabled
              type: object
            ideal:
              additionalProperties: false
              properties:
                enabled:
                  type: boolean
              required:
                - enabled
              type: object
            klarna:
              additionalProperties: false
              properties:
                enabled:
                  type: boolean
              required:
                - enabled
              type: object
            link:
              additionalProperties: false
              properties:
                enabled:
                  type: boolean
              required:
                - enabled
              type: object
            paypal:
              additionalProperties: false
              properties:
                enabled:
                  type: boolean
              required:
                - enabled
              type: object
          type: object
        processors:
          items:
            additionalProperties: false
            properties:
              accepts:
                additionalProperties: false
                properties:
                  amount:
                    additionalProperties: false
                    properties:
                      max:
                        additionalProperties: false
                        properties:
                          amount:
                            type: number
                          currency:
                            enum:
                              - AED
                              - AFN
                              - ALL
                              - AMD
                              - AOA
                              - ARS
                              - AUD
                              - AWG
                              - AZN
                              - BAM
                              - BBD
                              - BDT
                              - BHD
                              - BIF
                              - BMD
                              - BND
                              - BOB
                              - BOV
                              - BRL
                              - BSD
                              - BTN
                              - BWP
                              - BYN
                              - BZD
                              - CAD
                              - CDF
                              - CHE
                              - CHF
                              - CHW
                              - CLF
                              - CLP
                              - CNY
                              - COP
                              - COU
                              - CRC
                              - CUP
                              - CVE
                              - CZK
                              - DJF
                              - DKK
                              - DOP
                              - DZD
                              - EGP
                              - ERN
                              - ETB
                              - EUR
                              - FJD
                              - FKP
                              - GBP
                              - GEL
                              - GHS
                              - GIP
                              - GMD
                              - GNF
                              - GTQ
                              - GYD
                              - HKD
                              - HNL
                              - HTG
                              - HUF
                              - IDR
                              - ILS
                              - INR
                              - IQD
                              - IRR
                              - ISK
                              - JMD
                              - JOD
                              - JPY
                              - KES
                              - KGS
                              - KHR
                              - KMF
                              - KPW
                              - KRW
                              - KWD
                              - KYD
                              - KZT
                              - LAK
                              - LBP
                              - LKR
                              - LRD
                              - LSL
                              - LYD
                              - MAD
                              - MDL
                              - MGA
                              - MKD
                              - MMK
                              - MNT
                              - MOP
                              - MRU
                              - MUR
                              - MVR
                              - MWK
                              - MXN
                              - MXV
                              - MYR
                              - MZN
                              - NAD
                              - NGN
                              - NIO
                              - NOK
                              - NPR
                              - NZD
                              - OMR
                              - PAB
                              - PEN
                              - PGK
                              - PHP
                              - PKR
                              - PLN
                              - PYG
                              - QAR
                              - RON
                              - RSD
                              - RUB
                              - RWF
                              - SAR
                              - SBD
                              - SCR
                              - SDG
                              - SEK
                              - SGD
                              - SHP
                              - SLE
                              - SOS
                              - SRD
                              - SSP
                              - STN
                              - SVC
                              - SYP
                              - SZL
                              - THB
                              - TJS
                              - TMT
                              - TND
                              - TOP
                              - TRY
                              - TTD
                              - TWD
                              - TZS
                              - UAH
                              - UGX
                              - USD
                              - USN
                              - UYI
                              - UYU
                              - UYW
                              - UZS
                              - VED
                              - VES
                              - VND
                              - VUV
                              - WST
                              - XAD
                              - XAF
                              - XCD
                              - XCG
                              - XOF
                              - XPF
                              - YER
                              - ZAR
                              - ZMW
                              - ZWG
                            type: string
                        required:
                          - amount
                          - currency
                        type:
                          - object
                          - 'null'
                      min:
                        additionalProperties: false
                        properties:
                          amount:
                            type: number
                          currency:
                            enum:
                              - AED
                              - AFN
                              - ALL
                              - AMD
                              - AOA
                              - ARS
                              - AUD
                              - AWG
                              - AZN
                              - BAM
                              - BBD
                              - BDT
                              - BHD
                              - BIF
                              - BMD
                              - BND
                              - BOB
                              - BOV
                              - BRL
                              - BSD
                              - BTN
                              - BWP
                              - BYN
                              - BZD
                              - CAD
                              - CDF
                              - CHE
                              - CHF
                              - CHW
                              - CLF
                              - CLP
                              - CNY
                              - COP
                              - COU
                              - CRC
                              - CUP
                              - CVE
                              - CZK
                              - DJF
                              - DKK
                              - DOP
                              - DZD
                              - EGP
                              - ERN
                              - ETB
                              - EUR
                              - FJD
                              - FKP
                              - GBP
                              - GEL
                              - GHS
                              - GIP
                              - GMD
                              - GNF
                              - GTQ
                              - GYD
                              - HKD
                              - HNL
                              - HTG
                              - HUF
                              - IDR
                              - ILS
                              - INR
                              - IQD
                              - IRR
                              - ISK
                              - JMD
                              - JOD
                              - JPY
                              - KES
                              - KGS
                              - KHR
                              - KMF
                              - KPW
                              - KRW
                              - KWD
                              - KYD
                              - KZT
                              - LAK
                              - LBP
                              - LKR
                              - LRD
                              - LSL
                              - LYD
                              - MAD
                              - MDL
                              - MGA
                              - MKD
                              - MMK
                              - MNT
                              - MOP
                              - MRU
                              - MUR
                              - MVR
                              - MWK
                              - MXN
                              - MXV
                              - MYR
                              - MZN
                              - NAD
                              - NGN
                              - NIO
                              - NOK
                              - NPR
                              - NZD
                              - OMR
                              - PAB
                              - PEN
                              - PGK
                              - PHP
                              - PKR
                              - PLN
                              - PYG
                              - QAR
                              - RON
                              - RSD
                              - RUB
                              - RWF
                              - SAR
                              - SBD
                              - SCR
                              - SDG
                              - SEK
                              - SGD
                              - SHP
                              - SLE
                              - SOS
                              - SRD
                              - SSP
                              - STN
                              - SVC
                              - SYP
                              - SZL
                              - THB
                              - TJS
                              - TMT
                              - TND
                              - TOP
                              - TRY
                              - TTD
                              - TWD
                              - TZS
                              - UAH
                              - UGX
                              - USD
                              - USN
                              - UYI
                              - UYU
                              - UYW
                              - UZS
                              - VED
                              - VES
                              - VND
                              - VUV
                              - WST
                              - XAD
                              - XAF
                              - XCD
                              - XCG
                              - XOF
                              - XPF
                              - YER
                              - ZAR
                              - ZMW
                              - ZWG
                            type: string
                        required:
                          - amount
                          - currency
                        type:
                          - object
                          - 'null'
                    required:
                      - min
                      - max
                    type: object
                  brands:
                    items:
                      enum:
                        - visa
                        - mastercard
                        - amex
                        - discover
                        - jcb
                        - diners
                        - unionpay
                        - maestro
                        - cartes_bancaires
                        - eftpos
                      type: string
                    type: array
                  card_regions:
                    items:
                      enum:
                        - us
                        - eea
                        - uk
                        - rest_of_world
                      type: string
                    type: array
                  currencies:
                    items:
                      enum:
                        - AED
                        - AFN
                        - ALL
                        - AMD
                        - AOA
                        - ARS
                        - AUD
                        - AWG
                        - AZN
                        - BAM
                        - BBD
                        - BDT
                        - BHD
                        - BIF
                        - BMD
                        - BND
                        - BOB
                        - BOV
                        - BRL
                        - BSD
                        - BTN
                        - BWP
                        - BYN
                        - BZD
                        - CAD
                        - CDF
                        - CHE
                        - CHF
                        - CHW
                        - CLF
                        - CLP
                        - CNY
                        - COP
                        - COU
                        - CRC
                        - CUP
                        - CVE
                        - CZK
                        - DJF
                        - DKK
                        - DOP
                        - DZD
                        - EGP
                        - ERN
                        - ETB
                        - EUR
                        - FJD
                        - FKP
                        - GBP
                        - GEL
                        - GHS
                        - GIP
                        - GMD
                        - GNF
                        - GTQ
                        - GYD
                        - HKD
                        - HNL
                        - HTG
                        - HUF
                        - IDR
                        - ILS
                        - INR
                        - IQD
                        - IRR
                        - ISK
                        - JMD
                        - JOD
                        - JPY
                        - KES
                        - KGS
                        - KHR
                        - KMF
                        - KPW
                        - KRW
                        - KWD
                        - KYD
                        - KZT
                        - LAK
                        - LBP
                        - LKR
                        - LRD
                        - LSL
                        - LYD
                        - MAD
                        - MDL
                        - MGA
                        - MKD
                        - MMK
                        - MNT
                        - MOP
                        - MRU
                        - MUR
                        - MVR
                        - MWK
                        - MXN
                        - MXV
                        - MYR
                        - MZN
                        - NAD
                        - NGN
                        - NIO
                        - NOK
                        - NPR
                        - NZD
                        - OMR
                        - PAB
                        - PEN
                        - PGK
                        - PHP
                        - PKR
                        - PLN
                        - PYG
                        - QAR
                        - RON
                        - RSD
                        - RUB
                        - RWF
                        - SAR
                        - SBD
                        - SCR
                        - SDG
                        - SEK
                        - SGD
                        - SHP
                        - SLE
                        - SOS
                        - SRD
                        - SSP
                        - STN
                        - SVC
                        - SYP
                        - SZL
                        - THB
                        - TJS
                        - TMT
                        - TND
                        - TOP
                        - TRY
                        - TTD
                        - TWD
                        - TZS
                        - UAH
                        - UGX
                        - USD
                        - USN
                        - UYI
                        - UYU
                        - UYW
                        - UZS
                        - VED
                        - VES
                        - VND
                        - VUV
                        - WST
                        - XAD
                        - XAF
                        - XCD
                        - XCG
                        - XOF
                        - XPF
                        - YER
                        - ZAR
                        - ZMW
                        - ZWG
                      type: string
                    type: array
                  funding:
                    items:
                      enum:
                        - credit
                        - debit
                        - prepaid
                      type: string
                    type: array
                required:
                  - brands
                  - funding
                  - card_regions
                  - currencies
                  - amount
                type: object
              auto_pause:
                additionalProperties: false
                properties:
                  after_declines_in_a_row:
                    minimum: 0
                    type: integer
                  enabled:
                    type: boolean
                required:
                  - enabled
                  - after_declines_in_a_row
                type: object
              daily_cap:
                additionalProperties: false
                properties:
                  amount:
                    type: number
                  currency:
                    enum:
                      - AED
                      - AFN
                      - ALL
                      - AMD
                      - AOA
                      - ARS
                      - AUD
                      - AWG
                      - AZN
                      - BAM
                      - BBD
                      - BDT
                      - BHD
                      - BIF
                      - BMD
                      - BND
                      - BOB
                      - BOV
                      - BRL
                      - BSD
                      - BTN
                      - BWP
                      - BYN
                      - BZD
                      - CAD
                      - CDF
                      - CHE
                      - CHF
                      - CHW
                      - CLF
                      - CLP
                      - CNY
                      - COP
                      - COU
                      - CRC
                      - CUP
                      - CVE
                      - CZK
                      - DJF
                      - DKK
                      - DOP
                      - DZD
                      - EGP
                      - ERN
                      - ETB
                      - EUR
                      - FJD
                      - FKP
                      - GBP
                      - GEL
                      - GHS
                      - GIP
                      - GMD
                      - GNF
                      - GTQ
                      - GYD
                      - HKD
                      - HNL
                      - HTG
                      - HUF
                      - IDR
                      - ILS
                      - INR
                      - IQD
                      - IRR
                      - ISK
                      - JMD
                      - JOD
                      - JPY
                      - KES
                      - KGS
                      - KHR
                      - KMF
                      - KPW
                      - KRW
                      - KWD
                      - KYD
                      - KZT
                      - LAK
                      - LBP
                      - LKR
                      - LRD
                      - LSL
                      - LYD
                      - MAD
                      - MDL
                      - MGA
                      - MKD
                      - MMK
                      - MNT
                      - MOP
                      - MRU
                      - MUR
                      - MVR
                      - MWK
                      - MXN
                      - MXV
                      - MYR
                      - MZN
                      - NAD
                      - NGN
                      - NIO
                      - NOK
                      - NPR
                      - NZD
                      - OMR
                      - PAB
                      - PEN
                      - PGK
                      - PHP
                      - PKR
                      - PLN
                      - PYG
                      - QAR
                      - RON
                      - RSD
                      - RUB
                      - RWF
                      - SAR
                      - SBD
                      - SCR
                      - SDG
                      - SEK
                      - SGD
                      - SHP
                      - SLE
                      - SOS
                      - SRD
                      - SSP
                      - STN
                      - SVC
                      - SYP
                      - SZL
                      - THB
                      - TJS
                      - TMT
                      - TND
                      - TOP
                      - TRY
                      - TTD
                      - TWD
                      - TZS
                      - UAH
                      - UGX
                      - USD
                      - USN
                      - UYI
                      - UYU
                      - UYW
                      - UZS
                      - VED
                      - VES
                      - VND
                      - VUV
                      - WST
                      - XAD
                      - XAF
                      - XCD
                      - XCG
                      - XOF
                      - XPF
                      - YER
                      - ZAR
                      - ZMW
                      - ZWG
                    type: string
                required:
                  - amount
                  - currency
                type:
                  - object
                  - 'null'
              daily_count_cap:
                minimum: 0
                type:
                  - integer
                  - 'null'
              descriptor:
                additionalProperties: false
                properties:
                  template:
                    type: string
                required:
                  - template
                type: object
              enabled:
                type: boolean
              id:
                minLength: 1
                type: string
              keep_for_renewals:
                anyOf:
                  - enum:
                      - renewals_due
                    type: string
                  - additionalProperties: false
                    properties:
                      amount:
                        type: number
                      currency:
                        enum:
                          - AED
                          - AFN
                          - ALL
                          - AMD
                          - AOA
                          - ARS
                          - AUD
                          - AWG
                          - AZN
                          - BAM
                          - BBD
                          - BDT
                          - BHD
                          - BIF
                          - BMD
                          - BND
                          - BOB
                          - BOV
                          - BRL
                          - BSD
                          - BTN
                          - BWP
                          - BYN
                          - BZD
                          - CAD
                          - CDF
                          - CHE
                          - CHF
                          - CHW
                          - CLF
                          - CLP
                          - CNY
                          - COP
                          - COU
                          - CRC
                          - CUP
                          - CVE
                          - CZK
                          - DJF
                          - DKK
                          - DOP
                          - DZD
                          - EGP
                          - ERN
                          - ETB
                          - EUR
                          - FJD
                          - FKP
                          - GBP
                          - GEL
                          - GHS
                          - GIP
                          - GMD
                          - GNF
                          - GTQ
                          - GYD
                          - HKD
                          - HNL
                          - HTG
                          - HUF
                          - IDR
                          - ILS
                          - INR
                          - IQD
                          - IRR
                          - ISK
                          - JMD
                          - JOD
                          - JPY
                          - KES
                          - KGS
                          - KHR
                          - KMF
                          - KPW
                          - KRW
                          - KWD
                          - KYD
                          - KZT
                          - LAK
                          - LBP
                          - LKR
                          - LRD
                          - LSL
                          - LYD
                          - MAD
                          - MDL
                          - MGA
                          - MKD
                          - MMK
                          - MNT
                          - MOP
                          - MRU
                          - MUR
                          - MVR
                          - MWK
                          - MXN
                          - MXV
                          - MYR
                          - MZN
                          - NAD
                          - NGN
                          - NIO
                          - NOK
                          - NPR
                          - NZD
                          - OMR
                          - PAB
                          - PEN
                          - PGK
                          - PHP
                          - PKR
                          - PLN
                          - PYG
                          - QAR
                          - RON
                          - RSD
                          - RUB
                          - RWF
                          - SAR
                          - SBD
                          - SCR
                          - SDG
                          - SEK
                          - SGD
                          - SHP
                          - SLE
                          - SOS
                          - SRD
                          - SSP
                          - STN
                          - SVC
                          - SYP
                          - SZL
                          - THB
                          - TJS
                          - TMT
                          - TND
                          - TOP
                          - TRY
                          - TTD
                          - TWD
                          - TZS
                          - UAH
                          - UGX
                          - USD
                          - USN
                          - UYI
                          - UYU
                          - UYW
                          - UZS
                          - VED
                          - VES
                          - VND
                          - VUV
                          - WST
                          - XAD
                          - XAF
                          - XCD
                          - XCG
                          - XOF
                          - XPF
                          - YER
                          - ZAR
                          - ZMW
                          - ZWG
                        type: string
                    required:
                      - amount
                      - currency
                    type: object
                  - type: 'null'
              monthly_cap:
                additionalProperties: false
                properties:
                  amount:
                    type: number
                  currency:
                    enum:
                      - AED
                      - AFN
                      - ALL
                      - AMD
                      - AOA
                      - ARS
                      - AUD
                      - AWG
                      - AZN
                      - BAM
                      - BBD
                      - BDT
                      - BHD
                      - BIF
                      - BMD
                      - BND
                      - BOB
                      - BOV
                      - BRL
                      - BSD
                      - BTN
                      - BWP
                      - BYN
                      - BZD
                      - CAD
                      - CDF
                      - CHE
                      - CHF
                      - CHW
                      - CLF
                      - CLP
                      - CNY
                      - COP
                      - COU
                      - CRC
                      - CUP
                      - CVE
                      - CZK
                      - DJF
                      - DKK
                      - DOP
                      - DZD
                      - EGP
                      - ERN
                      - ETB
                      - EUR
                      - FJD
                      - FKP
                      - GBP
                      - GEL
                      - GHS
                      - GIP
                      - GMD
                      - GNF
                      - GTQ
                      - GYD
                      - HKD
                      - HNL
                      - HTG
                      - HUF
                      - IDR
                      - ILS
                      - INR
                      - IQD
                      - IRR
                      - ISK
                      - JMD
                      - JOD
                      - JPY
                      - KES
                      - KGS
                      - KHR
                      - KMF
                      - KPW
                      - KRW
                      - KWD
                      - KYD
                      - KZT
                      - LAK
                      - LBP
                      - LKR
                      - LRD
                      - LSL
                      - LYD
                      - MAD
                      - MDL
                      - MGA
                      - MKD
                      - MMK
                      - MNT
                      - MOP
                      - MRU
                      - MUR
                      - MVR
                      - MWK
                      - MXN
                      - MXV
                      - MYR
                      - MZN
                      - NAD
                      - NGN
                      - NIO
                      - NOK
                      - NPR
                      - NZD
                      - OMR
                      - PAB
                      - PEN
                      - PGK
                      - PHP
                      - PKR
                      - PLN
                      - PYG
                      - QAR
                      - RON
                      - RSD
                      - RUB
                      - RWF
                      - SAR
                      - SBD
                      - SCR
                      - SDG
                      - SEK
                      - SGD
                      - SHP
                      - SLE
                      - SOS
                      - SRD
                      - SSP
                      - STN
                      - SVC
                      - SYP
                      - SZL
                      - THB
                      - TJS
                      - TMT
                      - TND
                      - TOP
                      - TRY
                      - TTD
                      - TWD
                      - TZS
                      - UAH
                      - UGX
                      - USD
                      - USN
                      - UYI
                      - UYU
                      - UYW
                      - UZS
                      - VED
                      - VES
                      - VND
                      - VUV
                      - WST
                      - XAD
                      - XAF
                      - XCD
                      - XCG
                      - XOF
                      - XPF
                      - YER
                      - ZAR
                      - ZMW
                      - ZWG
                    type: string
                required:
                  - amount
                  - currency
                type:
                  - object
                  - 'null'
              move_renewals_to:
                minLength: 1
                type:
                  - string
                  - 'null'
            required:
              - id
              - enabled
              - accepts
              - monthly_cap
              - daily_cap
              - daily_count_cap
              - keep_for_renewals
              - descriptor
              - auto_pause
              - move_renewals_to
            type: object
          type: array
        renewals:
          additionalProperties: false
          properties:
            smart_retry:
              additionalProperties: false
              properties:
                branches:
                  additionalProperties: false
                  properties:
                    do_not_honor:
                      additionalProperties: false
                      properties:
                        enabled:
                          type: boolean
                      required:
                        - enabled
                      type: object
                    expired_card:
                      additionalProperties: false
                      properties:
                        enabled:
                          type: boolean
                      required:
                        - enabled
                      type: object
                    insufficient_funds:
                      additionalProperties: false
                      properties:
                        next_1st_or_15th:
                          type: boolean
                      required:
                        - next_1st_or_15th
                      type: object
                    processor_error:
                      additionalProperties: false
                      properties:
                        enabled:
                          type: boolean
                        retry_after_minutes:
                          minimum: 0
                          type: integer
                      required:
                        - enabled
                        - retry_after_minutes
                      type: object
                    velocity:
                      additionalProperties: false
                      properties:
                        enabled:
                          type: boolean
                      required:
                        - enabled
                      type: object
                  required:
                    - expired_card
                    - velocity
                    - insufficient_funds
                    - do_not_honor
                    - processor_error
                  type: object
                end:
                  additionalProperties: false
                  properties:
                    action:
                      enum:
                        - pause
                        - cancel
                      type: string
                    on_day:
                      minimum: 0
                      type: integer
                    when_bank_says_never_retry:
                      enum:
                        - pause
                        - cancel
                      type: string
                  required:
                    - action
                    - on_day
                    - when_bank_says_never_retry
                  type: object
                price_drop:
                  additionalProperties: false
                  properties:
                    enabled:
                      type: boolean
                    floor:
                      additionalProperties: false
                      properties:
                        amount:
                          type: number
                        currency:
                          enum:
                            - AED
                            - AFN
                            - ALL
                            - AMD
                            - AOA
                            - ARS
                            - AUD
                            - AWG
                            - AZN
                            - BAM
                            - BBD
                            - BDT
                            - BHD
                            - BIF
                            - BMD
                            - BND
                            - BOB
                            - BOV
                            - BRL
                            - BSD
                            - BTN
                            - BWP
                            - BYN
                            - BZD
                            - CAD
                            - CDF
                            - CHE
                            - CHF
                            - CHW
                            - CLF
                            - CLP
                            - CNY
                            - COP
                            - COU
                            - CRC
                            - CUP
                            - CVE
                            - CZK
                            - DJF
                            - DKK
                            - DOP
                            - DZD
                            - EGP
                            - ERN
                            - ETB
                            - EUR
                            - FJD
                            - FKP
                            - GBP
                            - GEL
                            - GHS
                            - GIP
                            - GMD
                            - GNF
                            - GTQ
                            - GYD
                            - HKD
                            - HNL
                            - HTG
                            - HUF
                            - IDR
                            - ILS
                            - INR
                            - IQD
                            - IRR
                            - ISK
                            - JMD
                            - JOD
                            - JPY
                            - KES
                            - KGS
                            - KHR
                            - KMF
                            - KPW
                            - KRW
                            - KWD
                            - KYD
                            - KZT
                            - LAK
                            - LBP
                            - LKR
                            - LRD
                            - LSL
                            - LYD
                            - MAD
                            - MDL
                            - MGA
                            - MKD
                            - MMK
                            - MNT
                            - MOP
                            - MRU
                            - MUR
                            - MVR
                            - MWK
                            - MXN
                            - MXV
                            - MYR
                            - MZN
                            - NAD
                            - NGN
                            - NIO
                            - NOK
                            - NPR
                            - NZD
                            - OMR
                            - PAB
                            - PEN
                            - PGK
                            - PHP
                            - PKR
                            - PLN
                            - PYG
                            - QAR
                            - RON
                            - RSD
                            - RUB
                            - RWF
                            - SAR
                            - SBD
                            - SCR
                            - SDG
                            - SEK
                            - SGD
                            - SHP
                            - SLE
                            - SOS
                            - SRD
                            - SSP
                            - STN
                            - SVC
                            - SYP
                            - SZL
                            - THB
                            - TJS
                            - TMT
                            - TND
                            - TOP
                            - TRY
                            - TTD
                            - TWD
                            - TZS
                            - UAH
                            - UGX
                            - USD
                            - USN
                            - UYI
                            - UYU
                            - UYW
                            - UZS
                            - VED
                            - VES
                            - VND
                            - VUV
                            - WST
                            - XAD
                            - XAF
                            - XCD
                            - XCG
                            - XOF
                            - XPF
                            - YER
                            - ZAR
                            - ZMW
                            - ZWG
                          type: string
                      required:
                        - amount
                        - currency
                      type: object
                    from_retry:
                      minimum: 0
                      type: integer
                    keep_lower_price:
                      type: boolean
                    percent_off:
                      maximum: 100
                      minimum: 0
                      type: number
                  required:
                    - enabled
                    - from_retry
                    - percent_off
                    - floor
                    - keep_lower_price
                  type: object
                retries:
                  type: boolean
                retry_time:
                  pattern: ^(?:[01]\d|2[0-3]):[0-5]\d$
                  type: string
                skip_weekends:
                  type: boolean
                switch_processor:
                  additionalProperties: false
                  properties:
                    enabled:
                      type: boolean
                    from_retry:
                      minimum: 0
                      type: integer
                    to:
                      anyOf:
                        - enum:
                            - smart_routing
                            - next_backup
                          type: string
                        - additionalProperties: false
                          properties:
                            processor:
                              minLength: 1
                              type: string
                          required:
                            - processor
                          type: object
                  required:
                    - enabled
                    - from_retry
                    - to
                  type: object
                tries_on_days:
                  items:
                    minimum: 0
                    type: integer
                  type: array
              required:
                - retries
                - tries_on_days
                - skip_weekends
                - retry_time
                - branches
                - switch_processor
                - price_drop
                - end
              type: object
          required:
            - smart_retry
          type: object
        risk:
          additionalProperties: false
          properties:
            source:
              enum:
                - tagada
                - provider
                - processor
              type: string
          required:
            - source
          type: object
        routing:
          additionalProperties: false
          properties:
            everything_else:
              additionalProperties: false
              properties:
                even_past_cap:
                  type: boolean
                pick:
                  enum:
                    - smart_routing
                    - ordered
                    - split
                    - capacity
                    - processor
                    - block
                  type: string
                prefer:
                  enum:
                    - initial_processor
                  type: string
                processors:
                  items:
                    minLength: 1
                    type: string
                  type: array
                shares:
                  additionalProperties:
                    minimum: 0
                    type: integer
                  type: object
              required:
                - pick
                - processors
              type: object
            rules:
              items:
                additionalProperties: false
                properties:
                  id:
                    minLength: 1
                    type: string
                  then:
                    additionalProperties: false
                    properties:
                      even_past_cap:
                        type: boolean
                      pick:
                        enum:
                          - smart_routing
                          - ordered
                          - split
                          - capacity
                          - processor
                          - block
                        type: string
                      prefer:
                        enum:
                          - initial_processor
                        type: string
                      processors:
                        items:
                          minLength: 1
                          type: string
                        type: array
                      shares:
                        additionalProperties:
                          minimum: 0
                          type: integer
                        type: object
                    required:
                      - pick
                      - processors
                    type: object
                  when:
                    items:
                      additionalProperties: false
                      properties:
                        field:
                          enum:
                            - purpose
                            - method
                            - brand
                            - funding
                            - card_region
                            - currency
                            - amount
                            - risk
                            - bin
                            - returning
                            - tag
                            - geo_mismatch
                            - processor
                          type: string
                        op:
                          enum:
                            - in
                            - not_in
                            - gte
                            - lt
                            - starts_with
                            - is
                          type: string
                        value:
                          anyOf:
                            - minimum: 0
                              type: number
                            - type: boolean
                        values:
                          items:
                            type: string
                          type: array
                      required:
                        - field
                        - op
                      type: object
                    type: array
                required:
                  - id
                  - when
                  - then
                type: object
              type: array
          required:
            - rules
            - everything_else
          type: object
        save_cards:
          enum:
            - auto_detect
            - always
            - 'off'
          type: string
        upsells:
          additionalProperties: false
          properties:
            initiator:
              enum:
                - customer
                - merchant
              type: string
          required:
            - initiator
          type: object
      required:
        - methods
        - routing
        - authentication
        - risk
        - capture
        - processors
        - backups
        - renewals
        - abuse_detection
        - save_cards
        - upsells
        - customer_payments
      type: object
  securitySchemes:
    bearerAuth:
      description: >-
        Secret, platform or publishable API key. Platform keys require
        Payments-Account.
      scheme: bearer
      type: http

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.